"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 22.07.21

"""
from django.contrib import admin

from konova.models import Geometry, Deadline, GeometryConflict


class GeometryAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "created",
    ]


class GeometryConflictAdmin(admin.ModelAdmin):
    list_display = [
        "conflicting_geometry",
        "affected_geometry",
        "detected_on",
    ]


class AbstractDocumentAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "title",
        "comment",
        "created",
    ]


class DeadlineAdmin(admin.ModelAdmin):
    list_display = [
        "id",
        "type",
        "date",
        "comment",
    ]


class BaseObjectAdmin(admin.ModelAdmin):
    readonly_fields = [
        "modified",
        "deleted",
        "created",
    ]


admin.site.register(Geometry, GeometryAdmin)
admin.site.register(GeometryConflict, GeometryConflictAdmin)
admin.site.register(Deadline, DeadlineAdmin)
